Login
Newsletter
Werbung

Sicherheit: Denial of Service in znc
Aktuelle Meldungen Distributionen
Name: Denial of Service in znc
ID: openSUSE-SU-2019:1166-1
Distribution: SUSE
Plattformen: SUSE Package Hub for SUSE Linux Enterprise 12, SUSE openSUSE Leap 42.3, SUSE openSUSE Leap 15.0, SUSE openSUSE Backports SLE-15
Datum: Fr, 5. April 2019, 23:52
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-9917
Applikationen: znc

Originalnachricht

   openSUSE Security Update: Security update for znc
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:1166-1
Rating: low
References: #1130360
Cross-References: CVE-2019-9917
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 15.0
openSUSE Backports SLE-15
SUSE Package Hub for SUSE Linux Enterprise 12
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for znc to version 1.7.2 fixes the following issue:

Security issue fixed:

- CVE-2019-9917: Fixed an issue where due to invalid encoding znc was
crashing (bsc#1130360).


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2019-1166=1

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-1166=1

- openSUSE Backports SLE-15:

zypper in -t patch openSUSE-2019-1166=1

- SUSE Package Hub for SUSE Linux Enterprise 12:

zypper in -t patch openSUSE-2019-1166=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

znc-1.7.2-25.1
znc-debuginfo-1.7.2-25.1
znc-debugsource-1.7.2-25.1
znc-devel-1.7.2-25.1
znc-perl-1.7.2-25.1
znc-perl-debuginfo-1.7.2-25.1
znc-python3-1.7.2-25.1
znc-python3-debuginfo-1.7.2-25.1
znc-tcl-1.7.2-25.1
znc-tcl-debuginfo-1.7.2-25.1

- openSUSE Leap 42.3 (noarch):

znc-lang-1.7.2-25.1

- openSUSE Leap 15.0 (x86_64):

znc-1.7.2-lp150.25.1
znc-debuginfo-1.7.2-lp150.25.1
znc-debugsource-1.7.2-lp150.25.1
znc-devel-1.7.2-lp150.25.1
znc-perl-1.7.2-lp150.25.1
znc-perl-debuginfo-1.7.2-lp150.25.1
znc-python3-1.7.2-lp150.25.1
znc-python3-debuginfo-1.7.2-lp150.25.1
znc-tcl-1.7.2-lp150.25.1
znc-tcl-debuginfo-1.7.2-lp150.25.1

- openSUSE Leap 15.0 (noarch):

znc-lang-1.7.2-lp150.25.1

- openSUSE Backports SLE-15 (aarch64 ppc64le s390x x86_64):

znc-1.7.2-bp150.2.3.1
znc-debuginfo-1.7.2-bp150.2.3.1
znc-debugsource-1.7.2-bp150.2.3.1
znc-devel-1.7.2-bp150.2.3.1
znc-perl-1.7.2-bp150.2.3.1
znc-perl-debuginfo-1.7.2-bp150.2.3.1
znc-python3-1.7.2-bp150.2.3.1
znc-python3-debuginfo-1.7.2-bp150.2.3.1
znc-tcl-1.7.2-bp150.2.3.1
znc-tcl-debuginfo-1.7.2-bp150.2.3.1

- openSUSE Backports SLE-15 (noarch):

znc-lang-1.7.2-bp150.2.3.1

- SUSE Package Hub for SUSE Linux Enterprise 12 (aarch64 ppc64le s390x
x86_64):

znc-1.7.2-23.1
znc-1.7.2-25.1
znc-devel-1.7.2-23.1
znc-devel-1.7.2-25.1
znc-perl-1.7.2-23.1
znc-perl-1.7.2-25.1
znc-python3-1.7.2-23.1
znc-python3-1.7.2-25.1
znc-tcl-1.7.2-23.1
znc-tcl-1.7.2-25.1

- SUSE Package Hub for SUSE Linux Enterprise 12 (noarch):

znc-lang-1.7.2-23.1
znc-lang-1.7.2-25.1


References:

https://www.suse.com/security/cve/CVE-2019-9917.html
https://bugzilla.suse.com/1130360

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung